import { ComponentRef, OnDestroy, EventEmitter } from '@angular/core';
import { Form, Question } from './smartform.interface';
export declare class Core implements OnDestroy {
    question: Question;
    defaultValue: any;
    disabled: boolean;
    condition: boolean;
    loadComplete: EventEmitter<any>;
    form: Form;
    smartForm: any;
    _removeRef: ComponentRef<any>;
    constructor();
    updateTools(tools: any): void;
    getStyle(): "item-text-wrap text-danger" | "item-text-wrap";
    disable(d: any): void;
    ngOnViewInit(): void;
    isNumeric(n: any): boolean;
    isTool(): boolean;
    hasTool(): boolean;
    hasDate(): RegExpMatchArray;
    Android(): RegExpMatchArray;
    BlackBerry(): RegExpMatchArray;
    iOS(): RegExpMatchArray;
    Opera(): RegExpMatchArray;
    Windows(): RegExpMatchArray;
    Safari(): RegExpMatchArray;
    ngOnDestroy(): void;
}
